Subject: Finding The Perfect Provider
From: Hunter Williams <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 12 Feb 2026 23:08:58 +0000

Happy Thursday!

I've been teasing this for a couple of emails now, and I'm so excited to finally share with you what I've been working on.

But first, I need to tell you its origin story.

A couple of years ago, a coaching client reached out to me who was recovering from Lyme disease. He had determined that hormone replacement was going to be a critical part of his recovery, and was falling down the hormone optimization rabbit hole hard.

Although he was excited about the potential to transform his health, he was also overwhelmed by the sheer number of provider options and deeply confused about what distinguished a good provider from a bad one.

Helping him answer this question became a year-long project.

We attended the most advanced HRT training seminars from the most trusted organizations in the space. We conducted a deep dive into the provider market, evaluating hundreds of clinics and practitioners.

Frankly, I already knew anecdotally that most providers are downright terrible. But even I was shocked as we scratched the paint on the market, just how many of these providers are truly terrible, either through ignorance, greed, or in rare cases, something worse.

———————————————————————————

**The Problem**

The problem kept coming back into focus from two angles.

First, the market is flooded with hundreds of new providers launching every single week, thanks to telehealth enablement platforms that let literally anyone start a clinic with zero training. The sheer number of options is overwhelming, and most of the people launching these clinics are marketers looking to make a quick buck, not providers with real expertise and your health at heart.

Second, even if you manage to navigate through the numerous options and avoid the roughly 80% of providers who are some kind of quack, you still face the challenge of finding a provider who truly matches your needs. Someone whose expertise aligns with your goals, whose values are in sync with yours, who offers the type of care you're seeking, and who fits your budget.

My client, Joel Clark, was fortunate to be in a position where he had the time and resources to make this quest to identify the best HRT providers his full-time job. 

Joel had previously been the co-founder and CEO of RVshare, which was acquired for a large sum, so he had both the financial runway and the entrepreneurial skill set to tackle a problem like this.

But over time, we began discussing how most people lack the ability to consult multiple experts and vet numerous providers to identify good ones.

———————————————————————————

**The Solution**

It became more and more clear to us what a great act of service it would be to the world if we could create a platform that not only vetted the whole provider market to separate the good guys from the bad guys, but also matched users with the provider from that trusted pool who was most compatible with their goals, personality, values, care preferences, and budget.

We know that well-executed HRT can be one of the most transformative forces for good in a person's life.

We also know that HRT done wrong can seriously hurt people and leave them feeling worse and more confused than before they started.

———————————————————————————

**The Launch**

Late last year, Joel decided to go all in on this problem and make it his life's work. The vision for **rxOwl** was born.

While I will continue to focus full-time on education and content creation, I am proud to be an investor in rxOwl and will be deeply involved in using my expertise to build and grow the company.

I've never been this excited about a project or a tool for good in my entire career.

**I'd like to invite you, as a member of my audience, to be the first to benefit from this new platform.**

If you or someone you know has been frustrated trying to find the right HRT provider, or if you've been too overwhelmed to start your search, I want to personally invite you to be among the first to benefit from what we've built.

The first step is to complete the rxOwl questionnaire so we can begin to work to find a fit for you.

[Click here](https://app.rxowl.com/quiz/match-t) to begin the journey today!

Best,

Hunter

P.S. If you have contacted Joel or me, please be patient for a response. We are personally replying to each inquiry and are working through the thousands of messages received in the past week. 

———

You are reading a plain text version of this post. For the best experience, copy and paste this link in your browser to view the post online:
https://huntershealthhacks.beehiiv.com/p/finding-the-perfect-provider